# PCASMType

Type of additive Schwarz method to use

### Synopsis

    typedef enum {PC_ASM_BASIC = 3,PC_ASM_RESTRICT = 1,PC_ASM_INTERPOLATE = 2,PC_ASM_NONE = 0} PCASMType;

     PC_ASM_BASIC - symmetric version where residuals from the ghost points are used

                    and computed values in ghost regions are added together. Classical

                    standard additive Schwarz

     PC_ASM_RESTRICT - residuals from ghost points are used but computed values in ghost

                       region are discarded. Default

     PC_ASM_INTERPOLATE - residuals from ghost points are not used, computed values in ghost

                          region are added back in

     PC_ASM_NONE - ghost point residuals are not used, computed ghost values are discarded

                   not very good.

### See Also

PCASMSetType()

Level:beginner
Location: src/ksp/pc/../../../include/petscpc.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages